Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.validator.impl
Class EhealthReplyValidatorImpl

    java.lang.Object
      be.ehealth.technicalconnector.validator.impl.EhealthReplyValidatorImpl

All Implemented Interfaces:
  EhealthReplyValidator

    public class EhealthReplyValidatorImpl

extends Object
implements EhealthReplyValidator

Implementation of `EhealthReplyValidator`

Field Summary
`static String` | `EHEALTH_SUCCESS_CODE_100` The eHealth success codes.
`static String` | `EHEALTH_SUCCESS_CODE_200` The eHealth success codes.

Constructor Summary
`EhealthReplyValidatorImpl()`

Method Summary
`boolean` | `validateReplyStatus(ResponseType response)` Validate reply status.
`boolean` | `validateReplyStatus(ResponseType response)` Validate reply status.
`boolean` | `validateReplyStatus(StatusResponseType response)` Validate reply status.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EHEALTH_SUCCESS_CODE_100

    public static final String EHEALTH_SUCCESS_CODE_100

  The eHealth success codes.

  See Also:
    Constant Field Values

### EHEALTH_SUCCESS_CODE_200

    public static final String EHEALTH_SUCCESS_CODE_200

  The eHealth success codes.

  See Also:
    Constant Field Values

Constructor Detail

### EhealthReplyValidatorImpl

    public EhealthReplyValidatorImpl()

Method Detail

### validateReplyStatus

    public boolean validateReplyStatus(ResponseType response)
                                throws SoaErrorException

  Description copied from interface: `EhealthReplyValidator`
  Validate reply status.

  Specified by:
    `validateReplyStatus` in interface `EhealthReplyValidator`
  Parameters:
    `response` - the response
  Returns:
    true, if successful
  Throws:
    `SoaErrorException` - the exception containing the error retrieved from the webservice

### validateReplyStatus

    public boolean validateReplyStatus(ResponseType response)
                                throws SoaErrorException

  Description copied from interface: `EhealthReplyValidator`
  Validate reply status.

  Specified by:
    `validateReplyStatus` in interface `EhealthReplyValidator`
  Parameters:
    `response` - the response
  Returns:
    true, if successful
  Throws:
    `SoaErrorException` - the exception containing the error retrieved from the webservice

### validateReplyStatus

    public boolean validateReplyStatus(StatusResponseType response)
                                throws SoaErrorException

  Description copied from interface: `EhealthReplyValidator`
  Validate reply status.

  Specified by:
    `validateReplyStatus` in interface `EhealthReplyValidator`
  Parameters:
    `response` - the response
  Returns:
    true, if successful
  Throws:
    `SoaErrorException` - the exception containing the error retrieved from the webservice

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.